// 必须先加载public.js
loadJS(proxy_api + '/common/js/axios.min.js', function () {
    console.log('axios.min.js加载完成');
    axios.interceptors.request.use(function (config) {    // 这里的config包含每次请求的内容
        let token = access_token;
        if (token) {
            config.headers.Authorization = 'Bearer ' + `${token}`;
        } else {
            window.location.pathname = proxy_api + '/zxlogin'
        }
        return config;
    }, function (err) {
        return Promise.reject(err);
    });
//拦截器
    axios.interceptors.response.use(
        response => {
            return response
        },
        error => {
            if (error.response) {
                switch (error.response.status) {
                    case 401:
                    // 返回 401 清除token信息并跳转到登录页面
                    //  通知安卓端 跳登录
                        relogin();
                }
            }
            return Promise.reject(error.response.data)   // 返回接口返回的错误信息
        }
    );
});


